import { Component } from '../component';
import '../icon';
export type DropdownTriggerProps = {
    disabled?: boolean;
};
declare const DropdownTrigger_base: typeof Component;
export declare class DropdownTrigger extends DropdownTrigger_base implements DropdownTriggerProps {
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    /**
     * Should the button be disabled.
     */
    disabled?: boolean;
    static define(): void;
    constructor();
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-dropdown-trigger': DropdownTrigger;
    }
}
export {};
