import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { EmptyStateVariant } from './empty-state.types';
import '../button';
/**
 * @fires m-action
 */
export declare class EmptyState extends Component {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        variant: {
            type: StringConstructor;
            reflect: boolean;
        };
        illustration: {
            type: StringConstructor;
            reflect: boolean;
        };
        header: {
            type: StringConstructor;
            reflect: boolean;
        };
        message: {
            type: StringConstructor;
            reflect: boolean;
        };
        action: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    variant?: EmptyStateVariant;
    illustration?: string;
    header?: string;
    message?: string;
    action?: string;
    static define(): void;
    constructor();
    updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-empty-state': EmptyState;
    }
}
