import { Component } from '../component';
import type { FieldStatus } from './field.types';
import '../icon';
export interface FieldHintProps extends HTMLElement {
    status?: FieldStatus;
}
export declare class FieldHint extends Component implements FieldHintProps {
    #private;
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        status: {
            type: StringConstructor;
        };
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    /**
     * Hint status type.
     */
    status: FieldHintProps['status'];
    slot: string;
    private field;
    static define(): void;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-field-hint': FieldHint;
    }
}
