import { Label } from '../label';
import type { LabelProps } from '../label';
export { type LabelProps as FieldLabelProps } from '../label';
export declare class FieldLabel extends Label implements LabelProps {
    private field;
    static define(): void;
    connectedCallback(): void;
    isRequired(): boolean;
    getSize(): import("./field.types").FieldSize | undefined;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-field-label': FieldLabel;
    }
}
