import type { PropertyValues } from 'lit';
import type { BaseLayoutProps } from './base-layout.types';
import { Component } from '../../component';
export declare class BaseLayout extends Component implements BaseLayoutProps {
    #private;
    static get properties(): {
        padding: {
            type: StringConstructor;
        };
        paddingX: {
            type: StringConstructor;
            attribute: string;
        };
        paddingY: {
            type: StringConstructor;
            attribute: string;
        };
        paddingT: {
            type: StringConstructor;
            attribute: string;
        };
        paddingB: {
            type: StringConstructor;
            attribute: string;
        };
        paddingL: {
            type: StringConstructor;
            attribute: string;
        };
        paddingR: {
            type: StringConstructor;
            attribute: string;
        };
    };
    padding: BaseLayoutProps['padding'];
    paddingX: BaseLayoutProps['paddingX'];
    paddingY: BaseLayoutProps['paddingY'];
    paddingT: BaseLayoutProps['paddingT'];
    paddingB: BaseLayoutProps['paddingB'];
    paddingL: BaseLayoutProps['paddingL'];
    paddingR: BaseLayoutProps['paddingR'];
    getCSSPropertiesPrefix(): string;
    protected update(changedProperties: PropertyValues<BaseLayoutProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
