import type { PropertyValues } from 'lit';
import { Component } from '../component';
export interface LogoLoaderProps {
    size?: string;
}
export declare class LogoLoader extends Component {
    #private;
    size: LogoLoaderProps['size'];
    static styles: import("lit").CSSResult[];
    static get properties(): {
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    static define(): void;
    connectedCallback(): void;
    protected update(changedProperties: PropertyValues<LogoLoader>): void;
    render(): import("lit-html").TemplateResult<2>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-logo-loader': LogoLoader;
    }
}
