import type { ProgressBarProps } from '../progress-bar';
import { ProgressBar } from '../progress-bar';
export type ProgressBarCountdownProps = Omit<ProgressBarProps, 'variant'>;
export declare class ProgressBarCountdown extends ProgressBar implements ProgressBarCountdownProps {
    static define(): void;
    get currentVariant(): "danger" | "warning" | "success";
}
declare global {
    interface HTMLElementTagNameMap {
        'm-progress-bar-countdown': ProgressBarCountdown;
    }
}
