import { Component } from '../component';
export type TableLayoutActionsProps = {
    /**
     * Should the actions section stick to the bottom of the table.
     * @default false
     */
    sticky?: boolean;
};
export declare class TableLayoutActions extends Component implements TableLayoutActionsProps {
    static styles: import("lit").CSSResult[];
    static get properties(): {
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        sticky: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    sticky: TableLayoutActionsProps['sticky'];
    static define(): void;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-layout-actions': TableLayoutActions;
    }
}
