import { Component } from '../component';
import type { TableActionsProps } from './table.types';
export declare class TableActions extends Component implements TableActionsProps {
    static styles: import("lit").CSSResult[];
    static get properties(): {
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        sticky: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    sticky: TableActionsProps['sticky'];
    static define(): void;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-actions': TableActions;
    }
}
