import type { TableSelectionCellProps } from './table.types';
import { Component } from '../component';
import '../checkbox';
export declare class TableSelectionCell extends Component implements TableSelectionCellProps {
    static styles: import("lit").CSSResult[];
    static get properties(): {
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        value: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    value: TableSelectionCellProps['value'];
    private isHeading;
    private table;
    static define(): void;
    constructor();
    protected firstUpdated(): void;
    private handleSelect;
    private isChecked;
    private isHeadingDisabled;
    private getHeadingCheckStatus;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-selection-cell': TableSelectionCell;
    }
}
