import type { Component } from '../../components/component';
import type { Constructor } from '../../utils/types';
export declare function fromAttribute(value?: string | string[] | ReadonlyArray<string> | null): string[] | null;
export declare function toAttribute(value?: string | string[] | ReadonlyArray<string> | null): string;
export declare function hasValueChanged(value1?: string | string[] | ReadonlyArray<string> | null, value2?: string | string[] | ReadonlyArray<string> | null): boolean;
export declare class WithSelectionControlMixinInterface {
    form: HTMLFormElement | null;
    getRawValue(value?: string | string[] | ReadonlyArray<string> | null): string[];
    protected handleFormReset(): void;
}
export declare const WithSelectionControlMixin: <T extends Constructor<Component>>(superClass: T) => Constructor<WithSelectionControlMixinInterface> & T;
