import type { AcceptedType } from '../../controllers/selection';
import type { TabChangeEventDetail, TabContentDirection, TabsProps } from '../../components/tabs';
import type { Constructor } from '../../utils/types';
import type { Component } from '../../components/component';
export declare class WithTabsProps implements TabsProps {
    activeTab?: AcceptedType;
    tabContentDirection?: TabContentDirection;
    disabled?: boolean;
    lazy?: boolean;
    ontabchange?: (event: CustomEvent<TabChangeEventDetail>) => void;
}
export declare const WithTabsMixin: <T extends Constructor<Component>>(superClass: T) => Constructor<WithTabsProps> & T;
