import type { CSSResult } from 'lit';
export type TransitionConfig = {
    delay?: string;
    duration?: string;
    property?: string;
    /**
     * Timing function:
     */
    easing?: string;
};
/**
 * Convert a transition config to its CSS equivalent.
 */
export declare function transition(configs: TransitionConfig | TransitionConfig[]): CSSResult;
