import type { CSSResult } from 'lit';
export declare const typographyVariants: readonly ["body-lg-bold", "body-lg", "body-md-bold-underline", "body-md-bold", "body-md-underline", "body-md", "body-sm-bold-underline", "body-sm-bold", "body-sm-underline", "body-sm", "button-lg", "button-md", "button-sm", "chips-md", "chips-sm", "heading-lg-bold", "heading-lg", "heading-md-bold", "heading-md", "heading-sm-bold", "heading-sm", "hero-lg-bold", "hero-lg", "hero-md-bold", "hero-md", "hero-sm-bold", "hero-sm", "number-md", "number-sm", "table-header-md", "table-header-sm"];
export type TypographyVariant = (typeof typographyVariants)[number];
/**
 * Apply set of tokens for a given typography `variant`.
 */
export declare function getVariant(variant?: TypographyVariant): Record<string, string>;
/**
 * Apply set of tokens for a given typography `variant`.
 */
export declare function typography(variant?: TypographyVariant): CSSResult;
