/**
 * Returns chunks of an array.
 *
 * @example
 * Consider the following sequence:
 * chunk([1, 2, 3, 4], 2);
 * The result would be [[1, 2], [3, 4]].
 */
declare const chunk: <T>(array: T[], chunkSize: number) => T[][];
export default chunk;
