import type { CSSResult } from 'lit';
import type { ColorToken } from '@loadsmart/miranda-tokens';
/**
 * Get color token as lit's `CSSResult`
 * @param token One of the color tokens
 * @param alpha How opaque the color should be
 */
declare function getColor(token: ColorToken, alpha?: number): CSSResult;
export default getColor;
