import type { SpacingTokenWithNone } from '@loadsmart/miranda-tokens';
import type { JustifyContentValue, AlignItemsValue } from '../layout';
import { Component } from '../component';
import '../layout/group';
import './card-divider';
export interface CardFooterProps {
    gap?: SpacingTokenWithNone;
    align?: AlignItemsValue;
    justify?: JustifyContentValue;
}
export declare class CardFooter extends Component implements CardFooterProps {
    static get properties(): {
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        gap: {
            type: StringConstructor;
        };
        align: {
            type: StringConstructor;
        };
        justify: {
            type: StringConstructor;
        };
    };
    gap: CardFooterProps['gap'];
    align: CardFooterProps['align'];
    justify: CardFooterProps['justify'];
    static define(): void;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-card-footer': CardFooter;
    }
}
