import type { PropertyValues } from 'lit';
import { Component } from '../component';
export interface DotsLoaderProps {
    size?: string;
}
export declare class DotsLoader extends Component {
    #private;
    /**
     * Determine the size of the dots in pixels.
     */
    size: DotsLoaderProps['size'];
    static styles: import("lit").CSSResult[];
    static get properties(): {
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    static define(): void;
    protected update(changedProperties: PropertyValues<DotsLoaderProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-dots-loader': DotsLoader;
    }
}
