import { Component } from '../component';
import type { FileStatus } from './file-picker.types';
import '../text';
import '../button';
import '../spinner-wheel';
import '../icon';
export type FileItemProps = {
    name?: string;
    type?: string;
    size?: number;
    status: FileStatus;
    onremove?: (event: CustomEvent<{
        value: string;
    }>) => void;
};
export declare class FileItem extends Component implements FileItemProps {
    #private;
    static styles: import("lit").CSSResult[];
    name: FileItemProps['name'];
    type: FileItemProps['type'];
    size: FileItemProps['size'];
    status: FileItemProps['status'];
    constructor();
    static define(): void;
    static get properties(): {
        name: {
            type: StringConstructor;
            attribute: string;
            reflect: boolean;
        };
        type: {
            type: StringConstructor;
            attribute: string;
            reflect: boolean;
        };
        size: {
            type: NumberConstructor;
            attribute: string;
            reflect: boolean;
        };
        status: {
            type: StringConstructor;
            attribute: string;
            reflect: boolean;
        };
    };
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-file-item': FileItem;
    }
}
