import { nothing } from 'lit';
import { Component } from '../component';
export interface LabelProps extends HTMLElement {
    size?: 'small' | 'default';
    required?: boolean;
}
export declare class Label extends Component implements LabelProps {
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        required: {
            type: BooleanConstructor;
        };
        size: {
            type: StringConstructor;
        };
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    required: LabelProps['required'];
    size: LabelProps['size'];
    static define(): void;
    requiredTemplate(): import("lit-html").TemplateResult<1> | typeof nothing;
    private labelClassList;
    render(): import("lit-html").TemplateResult<1>;
    getSize(): LabelProps['size'];
    isRequired(): boolean;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-label': Label;
    }
}
