import type { PropertyValues } from 'lit';
import { Text } from '../text';
export declare class LabeledValueLabel extends Text {
    static get properties(): {
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        as: {
            type: StringConstructor;
            reflect: boolean;
        };
        color: {
            type: StringConstructor;
            reflect: boolean;
        };
        ellipsized: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        variant: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    role: string;
    static define(): void;
    constructor();
    connectedCallback(): void;
    update(changedProperties: PropertyValues<this>): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-labeled-value-label': LabeledValueLabel;
    }
}
