import type { SpacingTokenWithNone } from '@loadsmart/miranda-tokens';
export type BaseLayoutProps = {
    /**
     * Spacing token for the padding.
     */
    padding?: SpacingTokenWithNone;
    /**
     * Spacing token for the horizontal padding. This property has priority over padding.
     */
    paddingX?: SpacingTokenWithNone;
    /**
     * Spacing token for the vertical padding. This property has priority over padding.
     */
    paddingY?: SpacingTokenWithNone;
    /**
     * Spacing token for the top padding. This property has priority over paddingY.
     */
    paddingT?: SpacingTokenWithNone;
    /**
     * Spacing token for the bottom padding. This property has priority over paddingY.
     */
    paddingB?: SpacingTokenWithNone;
    /**
     * Spacing token for the left padding. This property has priority over paddingX.
     */
    paddingL?: SpacingTokenWithNone;
    /**
     * Spacing token for the right padding. This property has priority over paddingX.
     */
    paddingR?: SpacingTokenWithNone;
};
