import type { PropertyValues } from 'lit';
import { Component } from '../../component';
import type { ColumnProps } from './row.types';
export declare class Column extends Component implements ColumnProps {
    protected static CSSPropertiesPrefix: string;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        sm: {
            type: StringConstructor;
            reflect: boolean;
        };
        md: {
            type: StringConstructor;
            reflect: boolean;
        };
        lg: {
            type: StringConstructor;
            reflect: boolean;
        };
        offsetSm: {
            type: StringConstructor;
            reflect: boolean;
            attribute: string;
        };
        offsetMd: {
            type: StringConstructor;
            reflect: boolean;
            attribute: string;
        };
        offsetLg: {
            type: StringConstructor;
            reflect: boolean;
            attribute: string;
        };
    };
    sm: ColumnProps['sm'];
    md: ColumnProps['md'];
    lg: ColumnProps['lg'];
    offsetSm: ColumnProps['offsetSm'];
    offsetMd: ColumnProps['offsetMd'];
    offsetLg: ColumnProps['offsetLg'];
    static define(): void;
    connectedCallback(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-column': Column;
    }
}
