import type { PropertyValues } from 'lit';
import { Component } from '../../component';
import type { RowProps } from './row.types';
export declare class Row extends Component implements RowProps {
    protected static CSSPropertiesPrefix: string;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        gap: {
            type: StringConstructor;
        };
        columnGap: {
            type: StringConstructor;
            attribute: string;
        };
        rowGap: {
            type: StringConstructor;
            attribute: string;
        };
    };
    gap: RowProps['gap'];
    columnGap: RowProps['columnGap'];
    rowGap: RowProps['rowGap'];
    static define(): void;
    connectedCallback(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-row': Row;
    }
}
