import type { Strategy, Side } from '@floating-ui/dom';
export type PopoverPosition = Strategy;
export type AlignedPlacement = 'top-start' | 'top-end' | 'bottom-start' | 'bottom-end';
export type PopoverPlacement = Side | AlignedPlacement;
export type PopoverRepositionEventDetail = {
    reason: string;
};
export type { Side };
export interface PopoverProps {
    position?: PopoverPosition;
    placement?: PopoverPlacement;
    open?: boolean;
    asPopover?: boolean;
    onpopoverreposition?: (event: CustomEvent<PopoverRepositionEventDetail>) => void;
}
