import { Component } from '../component';
export type SectionSize = 'small' | 'default' | 'large';
export interface SectionProps {
    size?: SectionSize;
}
export declare class SectionTitle extends Component implements SectionProps {
    static styles: import("lit").CSSResult[];
    static get properties(): {
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    size: SectionProps['size'];
    slot: string;
    static define(): void;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-section-title': SectionTitle;
    }
}
