import type { PropertyValues } from 'lit';
import { Component } from '../component';
export interface SpinnerWheelProps {
    size?: string;
}
export declare class SpinnerWheel extends Component {
    static styles: import("lit").CSSResult[];
    static get properties(): {
        size: {
            type: StringConstructor;
        };
    };
    size: SpinnerWheelProps['size'];
    static define(): void;
    update(changedProperties: PropertyValues<SpinnerWheel>): void;
    render(): import("lit-html").TemplateResult<2>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-spinner-wheel': SpinnerWheel;
    }
}
