export { Table as TableV2, defaultTableProps as defaultTableV2Props, } from './table';
export { TableHead as TableHeadV2 } from './table-head';
export { TableBody as TableBodyV2 } from './table-body';
export { TableFoot as TableFootV2 } from './table-foot';
export { TableRow as TableRowV2 } from './table-row';
export { TableCell as TableCellV2, defaultTableCellProps as defaultTableCellV2Props, } from './table-cell';
export { TableHeadCell as TableHeadCellV2 } from './table-head-cell';
export { TableRowSelect as TableRowSelectV2 } from './table-row-select';
export { TableRowExpand as TableRowExpandV2 } from './table-row-expand';
export type { TableProps as TableV2Props, TableCellProps as TableCellV2Props, TableHeadCellProps as TableHeadCellV2Props, TableCellAlignment as TableCellV2Alignment, TableCellTextAlignment as TableCellV2TextAlignment, TableSize as TableV2Size, TableSortDirection as TableV2SortDirection, TableHeadCellSortEventDetails as TableHeadCellV2SortEventDetails, TableSelectEventDetails as TableSelectEventDetailsV2, TableExpandEventDetails as TableExpandEventDetailsV2, } from './table.types';
