import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { TableRow } from './table-row';
import type { Checkbox } from '../checkbox';
import '../checkbox';
export declare class TableRowSelect extends Component {
    #private;
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        isHeaderRow: {
            type: BooleanConstructor;
            state: boolean;
        };
        isFooterRow: {
            type: BooleanConstructor;
            state: boolean;
        };
        isExpanded: {
            type: BooleanConstructor;
            state: boolean;
        };
        isSelected: {
            type: BooleanConstructor;
            state: boolean;
        };
        isIndeterminate: {
            type: BooleanConstructor;
            state: boolean;
        };
    };
    isHeaderRow: boolean;
    isFooterRow: boolean;
    isExpanded: boolean;
    isSelected: boolean;
    isIndeterminate: boolean;
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected firstUpdated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
    get checkbox(): Checkbox | null;
    get row(): TableRow | null;
    get rowValue(): string | null | undefined;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-row-select-v2': TableRowSelect;
    }
}
