import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { AlignItemsValue } from '../layout';
interface TimelineItemHeaderProps {
    align?: AlignItemsValue;
}
export declare class TimelineItemHeader extends Component implements TimelineItemHeaderProps {
    static styles: import("lit").CSSResult[];
    static get properties(): {
        align: {
            type: StringConstructor;
        };
    };
    /**
     * Value for align-items.
     * @default 'baseline'
     */
    align: TimelineItemHeaderProps['align'];
    static define(): void;
    connectedCallback(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-timeline-item-header': TimelineItemHeader;
    }
}
export {};
