import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { TimelineItem } from './timeline-item';
export declare class Timeline extends Component {
    static styles: import("lit").CSSResult[];
    static define(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
    get entries(): TimelineItem[];
    get activeEntry(): TimelineItem | null;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-timeline': Timeline;
    }
}
