import type { ReactiveControllerHost, ReactiveController } from 'lit';
export type BoundaryControllerHost = ReactiveControllerHost & HTMLElement;
export declare class BoundaryController implements ReactiveController {
    #private;
    host: BoundaryControllerHost;
    /**
     * Should the boundary checking be active?
     */
    active: boolean;
    constructor(host: BoundaryControllerHost, active?: boolean);
    hostConnected(): void;
    hostDisconnected(): void;
    activate: () => void;
    deactivate: () => void;
}
