import type { LitElement } from 'lit';
import type { Constructor } from '../../utils/types';
/**
 * Sets the element id with a random value, in case it is not already set.
 */
export declare const WithIdElementMixin: <T extends Constructor<LitElement>>(superClass: T, prefix?: string) => T;
