/**
 * Clamps number within the inclusive `min` and `upper` bounds.
 * @param value The number to clamp.
 * @param lower The lower bound.
 * @param upper The upper bound.
 * @returns {number}
 */
declare function clamp(value: number, lower: number, upper: number): number;
export default clamp;
