/**
 * Produces array for non-array value.
 *
 * @param value Value to be converted/returned.
 * @return Returns `value` itself if it is an array or
 * an array containing the provided `value`.
 */
declare function toArray<T>(value?: T | T[] | null): T[];
export default toArray;
