/**
 * Function that returns a `Promise` that will resolve when all the scheduled
 * animations for the provided target are either finished or canceled.
 *
 * Optionally, you can pass an option to include the animations for the elements
 * that are part of the subtree of the provided target.
 */
export declare function waitForAnimations(animatable: Animatable, options?: GetAnimationsOptions): Promise<void>;
